#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: safe
version: 0.3.7
id: safe-0.3.7-2ded69bb9a9c9a827d71a1eaecf2a75f

license: BSD3
copyright: Neil Mitchell 2007-2014
maintainer: Neil Mitchell <ndmitchell@gmail.com>
stability:
homepage: http://community.haskell.org/~ndm/safe/
package-url:
synopsis: Library of safe (exception free) functions
description: A library wrapping @Prelude@/@Data.List@ functions that can throw exceptions, such as @head@ and @!!@.
             Each unsafe function has up to four variants, e.g. with @tail@:
             .
             * @tail :: [a] -> [a]@, raises an error on @tail []@.
             .
             * @tailMay :: [a] -> /Maybe/ [a]@, turns errors into @Nothing@.
             .
             * @tailDef :: /[a]/ -> [a] -> [a]@, takes a default to return on errors.
             .
             * @tailNote :: /String/ -> [a] -> [a]@, takes an extra argument which supplements the error message.
             .
             * @tailSafe :: [a] -> [a]@, returns some sensible default if possible, @[]@ in the case of @tail@.
             .
             This package is divided into three modules:
             .
             * "Safe" contains safe variants of @Prelude@ and @Data.List@ functions.
             .
             * "Safe.Foldable" contains safe variants of @Foldable@ functions.
             .
             * "Safe.Exact" creates crashing versions of functions like @zip@ (errors if the lists are not equal) and @take@ (errors if there are not enough elements), then wraps them to provide safe variants.
category: Unclassified
author: Neil Mitchell <ndmitchell@gmail.com>
exposed: True
exposed-modules: Safe Safe.Exact Safe.Foldable
hidden-modules: Safe.Util
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/safe-0.3.7
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/safe-0.3.7
              /usr/local/lib
hs-libraries: HSsafe-0.3.7
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/safe-0.3.7/html/safe.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/safe-0.3.7/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
